Home | Software Map | Motif Forums | Bug Home sponsored by ICS 
Bugzilla Bug
  1476
     Query page      Enter new bug
Bug#:1476 Platform: Version:
Product: OS: Reporter:fred.l.kleinschmidt@boeing.com
Status: REOPENED Priority: Cc:
Resolution: Severity: Component:
Assigned To: openmotif-devel@motifzone.net Target Milestone:
URL:
Summary:
Attachments: 02/19/09 12:42Patch
06/28/09 10:13Refix
07/02/09 08:05DDD screenshot of loop resize crash
Create a new attachment (proposed patch, testcase, etc.)
Bug 1476 depends on: Show dependency tree
Show dependency graph
Bug 1476 blocks:
Votes for bug 1476:    Vote for this bug

Additional Comments:


Leave as REOPENED
Accept bug (change status to ASSIGNED)
Resolve bug, changing resolution to
Resolve bug, mark it as duplicate of bug #
Reassign bug to
Reassign bug to owner of selected component

View Bug Activity Format For Printing
Description: Opened: 2009-02-06 18:09

If a PanedWindow starts off with orientation=VERTICAl and you create two 
children, everything lools OK = the children appear one over the other with a 
horizontal separator and sash between them.

If you then change orientation to HORIZONTAL, the two children should appear 
side-by-side with a vertical separator and sash in between. the children appear 
horizontally, and the sash is between them, but the separator remains 
horizontal across the middle of the PanedWindow (behind the children, but 
visible between them) instead of becoming vertical.


------- Additional Comments From fred.l.kleinschmidt@boeing.com 2009-02-09 12:54 -------
This problem exists in Motif 2.1.30 and 2.2.3.
The old ICS XiPanedWindow widget does NOT have this problem; it solves it by 
correctly modifying the child separators in ist SetValues method with this code:

	ForAllChildren(new_pw, childP) {
	    Pane pane = PaneInfo(*childP);
	    if (pane->separator != NULL) {
		XtSetValues(pane->separator, sep_args, num_sep_args);
	    }
	}


------- Additional Comments From Ihor Hayvuk 2009-02-19 12:42 -------
Created an attachment (id=236)
Patch


------- Additional Comments From Ihor Hayvuk 2009-02-19 12:45 -------
Fixed in CVS HEAD and openmotif_2_3 branches.


------- Additional Comments From dima@ics.com 2009-04-06 07:43 -------
You may use Paned widget instead. 
It has almost the same functionality as PanedWindow.

PanedWindow is deprecated as duplicating widget of Paned.


------- Additional Comments From Ihor Hayvuk 2009-04-23 11:14 -------
It does not take into account default heights of paned children, and quite easily,
if you move the paned sash, program goes in cycle and then crashes, after
widgets negotiate for space for some time, in a visible jitter.
take ddd http://www.gnu.org/software/ddd/ and compile it with the latest
OpenMotif. You will see that Paned window does not work properly, if at all.


------- Additional Comments From arahne@arahne.si 2009-04-29 18:03 -------
dima@ics.com says:
"PanedWindow is deprecated as duplicating widget of Paned."
That is good to know. Is there a list deprecated functions and widgets somewhere?
XmPanedWindow man page does not say it, and I could not find anything in
documentation.



------- Additional Comments From Yura Syrota 2009-06-23 03:26 -------
The proposed patch is not good, it sets to 0 all panes. Just try to start
demo/setdate


------- Additional Comments From Ihor Hayvuk 2009-06-28 10:13 -------
Created an attachment (id=248)
Refix


------- Additional Comments From Ihor Hayvuk 2009-06-28 10:13 -------
Fixed in CVS HEAD and openmotif_2_3 branches


------- Additional Comments From Ihor Hayvuk 2009-06-28 10:30 -------
*** Bug 1490 has been marked as a duplicate of this bug. ***


------- Additional Comments From arahne@arahne.si 2009-07-02 08:04 -------
Even with this latest fix, my program programs using PanedWindow, after window
resize goes in infinite loop and crashes.
I revert back to PanedW.c version 1.4, it works fine.
I will attach DDD screenhot to demonstrate where it happens.


------- Additional Comments From arahne@arahne.si 2009-07-02 08:05 -------
Created an attachment (id=250)
DDD screenshot of loop resize crash


------- Additional Comments From Ihor Hayvuk 2009-07-10 10:24 -------
Dropped patch in botch HEAD and openmotif_2_3 branches for release 2.3.3

     Query page      Enter new bug
This is Mr. Samsa: the Open Motif bug system using Bugzilla. For more information about what Bugzilla is and what it can do, see mozilla.org's bug pages.
New | Query | bug # | Reports | New account | Log in